org.codehaus.groovy.reflection

## Class GeneratedMetaMethod

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.reflection.GeneratedMetaMethod

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  GeneratedMetaMethod.Proxy

    public abstract class GeneratedMetaMethod
    extends MetaMethod

### Nested Class Summary

Nested Classes
`static class` `GeneratedMetaMethod.DgmMethodRecord`
`static class` `GeneratedMetaMethod.Proxy`

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`GeneratedMetaMethod(java.lang.String name, CachedClass declaringClass, java.lang.Class returnType, java.lang.Class[] parameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CachedClass` `getDeclaringClass()` Gets the class where this method is declared
`int` `getModifiers()` Returns the modifiers for this method
`java.lang.String` `getName()` Returns the name of the method represented by this class
`java.lang.Class` `getReturnType()` Access the return type for this method

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeneratedMetaMethod

    public GeneratedMetaMethod(java.lang.String name,
                               CachedClass declaringClass,
                               java.lang.Class returnType,
                               java.lang.Class[] parameters)

### Method Detail

#### getModifiers

    public int getModifiers()

Description copied from class: `MetaMethod`
Returns the modifiers for this method

Specified by:
  `getModifiers` in class `MetaMethod`
Returns:
  modifiers as an int.

#### getName

    public java.lang.String getName()

Description copied from class: `MetaMethod`
Returns the name of the method represented by this class

Specified by:
  `getName` in class `MetaMethod`
Returns:
  name of this method

#### getReturnType

    public java.lang.Class getReturnType()

Description copied from class: `MetaMethod`
Access the return type for this method

Specified by:
  `getReturnType` in class `MetaMethod`
Returns:
  the return type of this method

#### getDeclaringClass

    public CachedClass getDeclaringClass()

Description copied from class: `MetaMethod`
Gets the class where this method is declared

Specified by:
  `getDeclaringClass` in class `MetaMethod`
Returns:
  class of this method